//
// This file is part of Pará theme for moodle
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
//
//
// Pará main JS file
//
// @package    theme_para
// @copyright  GTE
//
// @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later.

jQuery(document).ready(function ($) {
   $(window).on("load scroll", function () {
      if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
         $(".back-to-top").show();
      } else {
         $(".back-to-top").hide();
      }
      $('html').attr('style', 'scroll-behavior: smooth');
   });

   function scroll(obj) {
      if (obj.scrollTop() > 0) {
         $('body').addClass("scroll");
      } else {
         $('body').removeClass("scroll");
      }
   }

   $(window).on("scroll", function () {
      scroll($(this))
   });

   $('#resourceobject').on("load", function () {
      console.log(1);
      $(this).contents().on("scroll", function () {
         console.log(2);
         scroll($(this));
      });
   });

   $('.course-slider').owlCarousel({
      nav: true,
      loop: false,
      margin: 45,
      responsiveClass: true,
      navText: ['<i class="fa fa-angle-left fa-2x" aria-hidden="true"></i>', '<i class="fa fa-angle-right fa-2x" aria-hidden="true"></i>'],
      responsive: {
         0: {
            items: 1,
         },
         576: {
            items: 2,
         },
         768: {
            items: 2,
         },
         992: {
            items: 2,
         },
         1200: {
            items: 2,
         }
      }
   });

});
